var Sonos_objects = [
         IR.GetItem("Sonos:main"),
         IR.GetItem("Sonos:SelectColor"),
         IR.GetItem("Sonos:ABCSearch"),
         IR.GetItem("Sonos:AudioListTpl"),
         IR.GetItem("Sonos:WaitLeft"),
         IR.GetItem("Sonos:WaitRight"),
         IR.GetItem("Sonos:GroupListTpl"),
         IR.GetItem("Sonos:MemberSelect"),
         IR.GetItem("Sonos:SavePlaylist"),
         IR.GetItem("Sonos:Warning"),           
         IR.GetItem("Sonos:ClearPlaylist"), 
         IR.GetItem("Sonos:MemberListTpl"),
         IR.GetItem("Sonos:VolumeListTpl")  
];    
         
                            

function Sonos_Color(){               
   Sonos_SetColor(IR.GetItem("Sonos:SelectColor").GetItem("Color 1").PickColor);
}   
           
function Sonos_SetColor(Color){   
   if(!Color)
      Color = 0x00FF00FF;     
   Sonos_objects[0].GetState(0).FillColor = Color;                   
   Sonos_objects[2].GetState(0).FillColor = Color; 
   Sonos_objects[1].GetItem("Save 2").GetState(0).FillColor = Color;
   Sonos_objects[1].GetItem("Save 2").GetState(1).FillColor = Color;
   Sonos_objects[3].GetItem("Item 2").GetState(0).FillColor = Color;
   Sonos_objects[4].GetState(0).FillColor = Color;
   Sonos_objects[5].GetState(0).FillColor = Color;
   Sonos_objects[6].GetItem("Select").GetState(1).FillColor = Color;
   Sonos_objects[6].GetItem("OpenReGroup").GetState(1).FillColor = Color;
   Sonos_objects[7].GetItem("Done").GetState(0).FillColor = Color;
   Sonos_objects[7].GetItem("Done").GetState(1).FillColor = Color;
   Sonos_objects[8].GetItem("Save").GetState(1).FillColor = Color;
   Sonos_objects[8].GetItem("Save").GetState(0).FillColor = Color;
   Sonos_objects[10].GetItem("Clear").GetState(1).FillColor = Color;
   Sonos_objects[10].GetItem("Clear").GetState(0).FillColor = Color;
   Sonos_objects[11].GetItem("Item 1").GetState(1).FillColor = Color;
                                                                             
   binding["contentCol1"] = 0xFFFFFF64;
   binding["playlistCol1"] = 0xFFFFFF64;
   
   IR.SetVariable("Global.Sonos_Color_BG", Color.toString());
}     

function iOS7_BG(){ 
 Sonos_SetBackground("ios_7_galaxy-2048x1536.jpg"); 
} 

function no_BG(){ 
 Sonos_SetBackground(""); 
} 

function Sonos_SetBackground(BG){     
      
   Sonos_objects[0].GetItem("Item 8").GetState(0).Image = BG;
   Sonos_objects[2].GetItem("Item 1").GetState(0).Image = BG;
   Sonos_objects[4].GetItem("Item 1").GetState(0).Image = BG;
   Sonos_objects[5].GetItem("Item 1").GetState(0).Image = BG;    

   IR.SetVariable("Global.Sonos_BG", BG);                       }  
                              
IR.AddListener(IR.EVENT_START, 0, function(){
   Sonos_SetColor(IR.GetVariable("Global.Sonos_Color_BG"))
   Sonos_SetBackground(IR.GetVariable("Global.Sonos_BG"));
});       

        